NEWS from gtranslator 49.0 (2025-09-13):
- Add action to view source code of a translation in browser
- Add a setting to omit adding copyright to the header
- Use AdwShortcutLabels in translation memory
- Improve "Notes" dialog
- Port to AdwShortcutsDialog
- Make app D-Bus activatable
- Plug multiple memory leaks
- Update some translations

NEWS from gtranslator 48.0 (2025-03-24):
- Use newer widgets from libadwaita
- Remember window size
- Various bug fixes
- Update some translations

NEWS from gtranslator 41.0 (2024-11-26):
- Fix help page on sandboxed installations
- Fix title in translation memory dialog
- Fix focus behind translation memory GtkOverlay
- Fix Back button on D-L panel
- Fix default profile creation
- Fix crash when opening file chooser
- Store whether main window is maximized
- Fix search bar not appearing on new tabs
- Fix crash when pressing Ctrl+D earlier than expected
- Fix missing icon in preferences dialog
- Make search bar use the entire width
- Fix the generation of API endpoints for D-L after switching module
- Fix plurals fixer

NEWS from gtranslator 47.0 (2024-10-05):
- Do D-L requests async
- Fix bugs
- Add tooltip-text to buttons
- Use newer widgets from libadwaita
- Update some translations

NEWS from gtranslator 46.1 (2024-04-22):
- Reduce toasts timeout to 5s
- Reduce some more common toats timeout to 1s
- Sync languages with d-l
- Fix navigation view bugs
- Improved metainfo
- Update some translations

NEWS from gtranslator 46.0 (2024-03-20):
- Use newer libadwaita widgets
- UI simplifications
- Improved search
- Multiple bugfixes
- Improved app metainfo
- Code cleanup
- Update some translations

NEWS from gtranslator 45.3 (2023-10-25):
- Fix search infinite loop
- header-dialog: Merge comment into Project tab
- header-dialog: Shorten page titles
- message-table: Fix critical on close
- Update some translations
- Fix segfault when parsing PO files for TM

NEWS from gtranslator 45.2 (2023-10-02):
- Fix sort order infinite recursion bug

NEWS from gtranslator 45.1 (2023-09-21):
- Gtk4 migration and usage of libadwaita
- Usage of libspell for spell checking
- Big code refactoring for the migration

NEWS from gtranslator 45.alpha0 (next release):
- Port to gtk4

NEWS from gtranslator 42.0 (2022-03-30):
- Prepare code for Gtk4 migration
- Shorcut ctrl-k for clearing
- Some memory fixes
- Fix DL downloaded file names

NEWS from gtranslator 41.0 (2021-09-18):
- Allow adding comments when uploading to l10n.gnome.org.

NEWS from gtranslator 40.0 (2021-03-23):
- Add new integration with l10n.gnome.org so now it's possible to reserve a
  file and upload using the desktop app.
- Add libhandy widgets to improve the user interface for different sizes.

NEWS from gtranslator 3.38.0 (2020-09-12):
- Add save file dialog when open from DL
- Enable wrap-around by default in search bar
- search-bar: error style when not found
- Use base language to get the plural form on assistant
- Download DL files to Download folder
- Use GtkFileChooserNative for open and save dialogs
- Editor font configurable on preferences

NEWS from gtranslator 3.36.0 (2020-03-14):
- Stable release, updated translations
- New search/replace popover
- Open from DL button
- Help doc improvements
- Fix profile edit and remove

NEWS from gtranslator 3.34.0 (2019-09-10):
- Stable release, updated translations

NEWS from gtranslator 3.33.90 (2019-08-05):
- DL initial integration
- Fixes in the search dialog

NEWS from gtranslator 3.32.0 (2019-03-11):
- Stable release, updated translations

NEWS from gtranslator 3.31.90 (2019-02-03):
- XML language syntax for the source view
- Fix msg status management
- Use theme_fg_color for translated texts
- Better prj id version default header
- Header with default values when doesn't exists
- codeview: Recover codeview plugin
- Show context in the original message bar
- List of languages in a config file instead iso-codes
- Find & replace and copy text to shortcuts window
- Ctrl+space to copy original text into translated
- Native File Chooser for the translation memory

NEWS from gtranslator 3.30.1 (2018-11-11):
- Fix locale lookup dir
- Added itstool dependency to Meson
- Fix loading help
- New interface image in help
- Update Brazilian Portuguese translation
- Update Polish translation

NEWS from gtranslator 3.30.0 (2018-11-03):
- Full interface redesign to acomplish gnome 3 HIG
- Fix bug in find & replace that marks all fuzzy as translated
- Autofill profile based on language
- A lot of bug fixes
- Remove plugin system

NEWS from gtranslator 2.91.6 (2012-12-29):
- Misc bugfixes.

Translations:
- be (Yuri Matsuk)
- ca (Sílvia Miranda)
- da (Joe Hansen)
- de (Christian Kirbach)
- de (Mario Blättermann)
- el (Ioannis Zampoukas)
- es (Daniel Mustieles)
- et (Mattias Põldaru)
- he (Yaron Shahrabani)
- hu (Gabor Kelemen)
- id (Andika Triwidada)
- ja (Jiro Matsuzawa)
- ko (Seong-ho Cho)
- nn (Åsmund Skjæveland)
- pl (Piotr Drąg)
- ru (Yuri Myasoedov)
- sk (Ondrej Mosnáček)
- th (Akom Chotiphantawanon)
- tr (Muhammet Kara)

NEWS from gtranslator 2.91.5 (2012-06-07):
- Add/update X-Generator header in PO file (Daniel Mustieles)
- Misc bugfixes

Translations:
- cs (Marek Černocký)
- de (Christian Kirbach)
- es (Daniel Mustieles)
- fr (Bruno Brouard)
- gl (Fran Dieguez)
- it (Milo Casagrande)
- lt (Aurimas Černius)
- lv (Rūdolfs Mazurs)
- sl ("Last-Translator: filmsi\n")
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- te (Praveen Illa)

NEWS from gtranslator 2.91.4 (2012-05-05):
- Add app menu (Ignacio Casal Quinteiro)
- Move libgtranslator-private library to pkglibdir (Michael Biebl)
- Better handling of the table message (Carlos Garnacho)
- Update TM when a new po file is loaded (Carlos Garcia Campos)
- Try using Content-Type charset if the file is not UTF-8 (Carlos Garnacho)
- Remove ok/cancel buttons to add new comments (Carlos Garcia Campos)
- Fix a crash when dropping an item to the toolbar (Carlos Garcia Campos)
- Misc bugfixes

Translations:
- cs (Marek Černocký)
- da (Joe Hansen)
- es (Daniel Mustieles)
- fr (Bruno Brouard)
- gl (Fran Dieguez)
- id (Andika Triwidada)
- nb (Kjartan Maraas)
- pl (Piotr Drąg)

NEWS from gtranslator 2.91.3 (2012-04-20):
- Port to GResource (Daniel Mustieles)
- Misc bugfixes

Translations:
- he (Yaron Shahrabani)

NEWS from gtranslator 2.91.2 (2012-04-09):
- Use new libpeas API (Garrett Regier)
- Complete list of plural forms (Daniel Mustieles)
- Misc bugfixes

Translations:
- cs (Marek Černocký)
- de (Christian Kirbach)
- es (Daniel Mustieles)
- fi (Jiri Grönroos)
- gl (Fran Dieguez)
- pl (Piotr Drąg)
- sl (Matej Urbančič)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)

NEWS from gtranslator 2.91.1 (2012-03-24):
- Make translation memory an standalone plugin (Ignacio Casal Quinteiro)
- Misc bugfixes

Translations:
- be (Yuri Matsuk)
- eo (Kristjan SCHMIDT)
- es (Daniel Mustieles)
- et (Mattias Põldaru)
- gl (Fran Dieguez)
- it (Milo Casagrande)
- lt (Aurimas Černius)
- nn (Yngve Spjeld Landro)
- pl (Piotr Drąg)
- sl (Matej Urbančič)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- te (Praveen Illa

NEWS from gtranslator 2.90.8 (2012-02-06):
- Make it build with latest gtk+ (Ignacio Casal Quinteiro)
- Add support for gda 5 (Dominique Leuenberger)
- Misc bugfixes

Translations:
- be (Yuri Matsuk)
- cs (Marek Černocký)
- es (Daniel Mustieles)
- gl (Fran Dieguez)
- ja (Jiro Matsuzawa)
- pl (Piotr Drąg)
- ru (Yuri Myasoedov)
- sl (Matej Urbančič)
- te (Praveen Illa)
- tr (Muhammet Kara)

NEWS from gtranslator 2.90.7 (2011-10-19):
- Relicense some files as GPLv3+
- Don't normalize translations stored in the translation memory (Neil Roberts)

Translations:
- be (Yuri Matsuk)

NEWS from gtranslator 2.90.6 (2011-10-11):
- Misc bugfixes

Translations:
- be (Yuri Matsuk)
- ca (Sílvia Miranda)
- ca@valencia (Sílvia Miranda)
- de (Christian Kirbach)
- el (Simos Xenitellis)
- eo (Kristjan SCHMIDT)
- es (Daniel Mustieles)
- eu (Iñaki Larrañaga Murgoitio)
- fr (Bruno Brouard)
- gl (Fran Diéguez)
- he (Yaron Shahrabani)
- it (Milo Casagrande)
- lt (Aurimas Černius)
- pt_BR (Gabriel Feitosa Vilar)
- ru (Yuri Myasoedov)
- sk (Ondrej Mosnáček)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- th (Akom Chotiphantawanon)

NEWS from gtranslator 2.90.5 (2011-06-14):
- Misc bugfixes

Translations:
- el (Simos Xenitellis)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)

NEWS from gtranslator 2.90.4 (2011-05-18):
- Misc bugfixes

Translations:
- cs (Marek Černocký)
- es (Daniel Mustieles)
- ja (Hiroyuki Sekihara)
- sl (Andrej Žnidaršič)

NEWS from gtranslator 2.90.3 (2011-05-04):
- Put the gdl container inside the tab
- Add a tab activatable extension point

Translations:
- uk (Sergiy Gavrylov)

NEWS from gtranslator 2.90.2 (2011-04-26):
- UI cleanup

Translations:
- de (Paul Seyfert)
- ja (Hiroyuki Sekihara)
- pt_BR (Rodrigo Padula de Oliveira)
- tr (Muhammet Kara)

NEWS from gtranslator 2.90.1 (2011-04-04):
- Automatize profile generation
- Fix preferences dialog space
- Remove interface tab from preferences dialog
- Fix remaining issues in the gtk+ 3 port.

NEWS from gtranslator 2.90.0 (2011-03-28):
- Port to gtk+ 3
- Port to libpeas
- Added support for python plugins
- Ported charmap to python
- Remove --window-new command line option
- Port to gsettings
- Merge insert-tags plugin into insert-params plugin
- Port to GtkApplication
- Misc Bugfixes

Translations:
- ca (David Planella)
- cs (Marek Černocký)
- da (Joe Hansen)
- de (Christian Kirbach)
- el (Marios Zindilis)
- es (Daniel Mustieles)
- es (Jorge González)
- et (Guido Tabbernuk)
- eu (Iñaki Larrañaga Murgoitio)
- fr (Bruno Brouard)
- gl (Fran Diéguez)
- he (Yaron Shahrabani)
- id (Andika Triwidada)
- ku (Erdal Ronahi)
- lt (Žygimantas Beručka)
- nn (Yngve Spjeld Landro)
- pt (António Lima)
- pt_BR (Gabriel Feitosa Vilar)
- sl (Andrej Žnidaršič)
- sr@latin (Miroslav Nikolić)
- sr (Мирослав Николић)
- sv (Daniel Nylander)
- zh_CN (Yinghua Wang)

NEWS from gtranslator 1.9.13 (2010-11-01):
-----------------------------------------------------
- Enable use of local mirrors of open-tran.eu (Yaron Sheffer)
- Adapt the OpenTran plugin to the new open-tran.eu API (Yaron Sheffer)
- Misc Bugfixes

Translations:
- ca@valencia (David Planella)
- cs (Marek Černocký)
- de (Christian Kirbach )
- es (Jorge González)
- gl (Fran Diéguez)
- sl (Andrej Žnidaršič)
- sl (Matej Urbančič)

NEWS from gtranslator 1.9.12 (2010-10-07):
-----------------------------------------------------
- Port it to GSettings (Ignacio Casal Quinteiro)
- Make it work with GSEAL enabled (Jonh Wendell)
- Misc Bugfixes

Translations:
- cs (Marek Černocký)
- de (Christian Kirbach)
- el (Fotis Tsamis)
- es (Jorge González)
- fr (Bruno Brouard)
- fr (Laurent Coudeur)
- gl (Fran Diéguez)
- he (Yaron Shahrabani)
- id (Andika Triwidada)
- it (Milo Casagrande)
- ja (IWAI, Masaharu)
- lt (Žygimantas Beručka)
- nds (Nils-Christoph Fiedler)
- nn (Yngve Spjeld Landro)
- pt (António Lima)
- pt_BR (Jonh Wendell)
- sl (Andrej Žnidaršič)
- sr@latin (Miloš Popović)
- sr (Милош Поповић)
- tr (Atilla ÖNTAŞ)
- zh_CN (YunQiang Su)

NEWS from gtranslator 1.9.11 (2010-05-11):
-----------------------------------------------------
- Add the option to remove entries from the memory translation (Andrey Kutejko)
- New memory translation backend using libgda (Andrey Kutejko)
- Misc Bugfixes

Translations:
- cs (Marek Černocký)
- de (Christian Kirbach )
- es (Jorge González)
- gl (Fran Diéguez)
- id (Andika Triwidada)
- it (Milo Casagrande)
- zh_HK (Cheng-Chia Tseng)
- zh_TW (Cheng-Chia Tseng)

NEWS from gtranslator R 1.9.10 (2010-04-19):
-----------------------------------------------------
- Factored out the tab label (Ignacio Casal Quinteiro)
- Make the translation memory always visible (Ignacio Casal Quinteiro)
- Misc Bugfixes

Translations:

- cs (Marek Černocký)
- de (Mario Blättermann)
- es (Jorge González)
- eu (Iñaki Larrañaga Murgoitio)
- fr (Laurent Coudeur)
- gl (Ignacio Casal Quinteiro)
- id (Andika Triwidada)
- it (Milo Casagrande)
- ja (Takayuki KUSANO)
- lt (Aurimas Černius)
- pt_BR (Vladimir Melo)
- ru (Александр Прокудин)
- sl (Andrej Žnidaršič)
- uk (Sergiy Gavrylov)
- zh_CN (YunQiang Su)
- zh_HK (Cheng-Chia Tseng)
- zh_TW (Cheng-Chia Tseng)

NEWS from gtranslator R 1.9.9 (2010-02-21):
-----------------------------------------------------
- Addid Profile quick selector (Ignacio Casal Quinteiro)
- Rewriting profile manager to use GtrProfileManager (Ignacio Casal Quinterio)
- Converted GtrApplication into an UniqueAPP using libunique (Ignacio Casal Quinteiro)
- Misc Bugfixes

Translations:

	* cs (Marek Černocký), es (Jorge González), gl (Fran Diéguez),
	  nb (Kjartan Maraas), sl (Andrej Žnidaršič).

NEWS from gtranslator R 1.9.8 (2010-02-10):
-----------------------------------------------------
- Refactor methods and file names from gtranslator to gtr (Ignacio Casal)
- Modernize autotools configuration (Javier Jardon)
- Added new tango icons and logo by Ulisse Perusin
- Removed Subversion plugin
- Misc Bugfixes

Translations:

	* cs (Marek Černocký), de (Mario Blättermann), es (Jorge González),
	  it (Milo Casagrande).


NEWS from gtranslator R 1.9.7 (2010-01-31):
-----------------------------------------------------

- Show percentage of translated messages
- Fixed several compiler warnings (Jonh Wendell)
- Update toolbar editor (Ignacio Casal)
- Make header inherit from GtranslatorMsg (Ignacio Casal)
- Ported gtranslator from MessageArea to GtkInfoBar (Ignacio Casal)
- Misc Bugfixes

Translations:

    * cs (Marek Černocký), da (Joe Hansen), de (Christian Kirbach), en_GB (Philip Withnall), es (Jorge González),
      eu (Iñaki Larrañaga Murgoitio), fr (Bruno Brouard), id (Andika Triwidada), it (Milo Casagrande), nb (Kjartan Maraas),
      pt_BR (Jonh Wendell), pt (António Lima), ru (Alexandre Prokoudine), sl (Andrej Žnidaršič), sr (Милош Поповић), 
      sr@latin (Miloš Popović), sv (Daniel Nylander), zh_CN (luojie).

NEWS from gtranslator R 1.9.6 (2009-08-24):
-----------------------------------------------------

- Adapted gtranslator in order to work on Windows (by Francisco Puga)

Bugs Fixed:

     * #579775 - Fixed format string attack (Atilla Öntas)
     * #582430 - Added some header files (Ray Wang Vicent Untz)
     * #555672 - Fixed CRITICAL: editor_create_item_from_name (Ignacio Casal)
     * #557096 - Fixed GtkSpinButton problem changing to GtkBuilder
     * #569061 - Displaying an error message before saving a read only file (Francisco Puga)
     * #569062 - Use a "standard" tabs menu instead of Go->Next/Prev File (Ignacio Casal)
     * #569068 - Made more clear the message in the status bar (Ignacio Casal)
     * #571497 - Fixed crash on first-time startup with po-file as argument (Christian Kirbach)
     * #575128 - Removed deprecated GTK+ symbols (Thanks to Thomas Andersen)
     * #579775 - Fixed Format string attack danger (Atilla Ontas)
     * #582430 - Some of the header files weren't included in the source code (Ray Wang and Vicent Untz)
     * #583961 - Fixed to build with gdl 2.27.2 (Ignacio Casal)
     * #584692 - Show the next message of the one you are editing (Ignacio Casal)
     * #591594 - Fixed problem that made Edit header only made effect when you close gtranslator (Francisco Puga)
     * #592210 - Removed duplicated define in configure.ac (Jonh Wendell)     
     * #592214 - Fixed some gcc warnings (Jonh Wendell)
     * #592215 - Wrong arguments to gtranslator_statusbar_flash_message() (Jonh Wendell)
     * #592226 - Fixed Error widget built wrongly (Jonh Wendell)
     * #592227 - Source code did not working due to a wrong widget name (Jonh Wendell)
     * #569054 - Fixed emty line insertion before translator email in header (Francisco Puga)

Translations:
	* zh_CN (M Zhang, Ming Yang), es (Jorge González), de (Mario Blättermann), el (Marios Zindilis), fr (Bruno Brouard, Claude Paroz),
	  se (Daniel Nylander), gl (Francisco Diéguez), ru (Alexandre Prokoudine), ca (David Planella), uk (Maxim V. Dziumanenko), pt (António Lima),
	  zh_CN (Aron Xu Zhang Miao), el (Marios Zindilis, Thanos Lefteris), ar (Khaled Hosny).

NEWS from gtranslator R 1.9.5 (2009-04-10):
-----------------------------------------------------

Bugs Fixed:

  * #569174 - Mark file to be saved when create or edit comment
  * #150834 - Migrated from gnome-mime-data to freedesktop.org
    	      specs for MIME handling (Luca Ferretti)
  * #569052 - Removed scrollkeeper check (Luca Ferretti)
  * #569073 - Reorganized go menu according to HIG (Luca Ferretti)
  * #565809 - Added the ability to show some ".h" files (Jonh Wendell)
  * #570371 - Show the source filename in the viewer (Jonh Wendell)
  * #571497 - Fixed crash on first-time startup with po-file (Christian Kirbach)
  * #569174 - Mark file as to be saved when a comment is created or edited
  * #575605 - Fixed minor string issues (Bruce Cowan)
  * #514816 - Ported to gtbuilder (Ignacio Casal Quinteiro)

Translations:
	* ja ( Takeshi AIHANA), es (Jorge Gonzalez), sv (Daniel Nylander) 
	  de (Ulf-D. Ehlert), pt (António Lima), en_GB (Bruce Cowan).


NEWS from gtranslator R 1.9.4 (2009-01-24):
-----------------------------------------------------

- Source code coverted to GObject.
- New main window built with GnomeUIManager.
- New dialogs built with glade/libglade.
- Open several files in tabs.
- New messages table.
- New messages area with support for plurals forms.
- New panel with information about message's context.
- New plugin system based on gedit.
- Added support for different translators profiles.
- New translation memories system.
- New assistant in order to configure the profiles and
  translation memories database.
- Add new API documentation wit GTK-Doc.
- Update user documentation.

- New plugins:
  
  * Fullscreen.
  * Character map.
  * Dictionary.
  * Insert tags.
  * Open Tran.
  * Source code view.
  * Subversion.
  * Alternate-language.
  * Insert-params.

Translations:
	* gl (Ignacio Casal Quinteiro), pt_BR (Leonardo Ferreira Fontenelle),
	  ga (Seán de Búrca), oc (Yanning Marchegay), es (Jorge González), 
	  he (Yair Hershkovitz), de (Christian Kirbach), sv (Daniel Nylander),
	  fi (Ilkka Tuohela), nb (Kjartan Maraas), ar (Djihed Afifi), 
	  th (Theppitak Karoonboonyanan). 

NEWS from gtranslator R 1.0 "Heat it!" (2003-09-03):
---------------------------------------------------

- Updated/conversion of documentation into the XML format and such.
- Compilation fixes for FreeBSD and the (p)make system (hence the removal of
   more sophisticated, GNU make specific rules out of the Makefiles).
- Extended the language abilities in form of better display for some stuff
   and more translations and language entries in the prefs dialog :-)
- Quite cool new good-looking and useful preferences dialog.
- Added statistics output about the learn buffer to the commandline options
   of gtranslator so that you can determine how many entries are in the
    learn buffer and such...
- Updated pozilla.sh to version 6.1 to now also work with the newer AC_INIT
   macros in up-to-date configure.in files.
- Bug fixes for the man pages and also an updated new version of the docs.
- L10n works now also on the command line - see b.g.o #120454 for more info.
- Many, many practical bug fixed within dialogs handling, header parsing etc.
- Editing dialog for plural forms is also available now, colored messages
   table is also back and the prefs page did get an addition.
- Removed rests of stuff for the messages table and made the options
   regarding the table more useful and working again - colooorrs! ;-)
- Small fixes for some dialogs like the save as dialog to be working now.
- More HIG-awareness on the dialogs - thanks to the bug reports!
- Plural forms reading, saving works now, editing maybe in the next time ;-)
- Parsing, saving of all of todays' header parts is working now without any
   major bug!
- Dialogs were rewritten to be all Gtk+ 2-alike and rightly ported.
- Header dialog rewrite and non-usage of deprecated Gtk+/Glib functions anymore
- More robustness and removal of some stuff.
- Fixage of many important bugs (<long Bug List with 15+ bugs>)
- New RPM spec file, new Debian build directories - daily CVS snapshots/Debian
   are now also available.
- Removed etspec file.
- SuperDuperCowPowers!

NEWS from gtranslator R 0.99 "Rotted Bovine Lactation" (2003-06-13):
-------------------------------------------------------------------

- Updated man-page.
- Mainly good ported GNOME 2.0 port, it works!
- Hurray, gtranslator lives!
- Ross Golder as new developer of gtranslator who took it over :-)
- Many bugs were ironed out, a little bit slightened code basis.
- Smashed the externally semerkent library into the gtranslator source stocks
   in here and it will now be just a static lib for gtranslator internal
    purposes used in here and specialized for usage in gtranslator's code.
- Sorta of small changes and other changes and stuff noone wants to ever 
   get known to...
- GNOME 2.0 platform port.
- Removal of all backends code.

NEWS from gtranslator R 0.4x "VeViTra", "Foehr" & "CruCRaB" (until 2002-06-28):
------------------------------------------------------------------------------

- Merged some more stuff into HEAD within the time and Thomas did some porting
   work meanwhile; it's time for GNOME 2.0 rumble!
- Voodoo option is now also available :-) You can define a min. matching perc.
   for the fuzzy queries to get a more useful & wanted result.
- gtranslator does now check the formats of changed messages and gives you a
   very clear message if it finds a syntactical error.
- Updated manual pages for gtranslator & pozilla.sh.
- A corrected "build-gtranslator-learn-buffer.sh" script; a syntactical error
   was corrected in the script.
- pozilla.sh R 5.5!
- Splitted CVS development in HEAD to go for GNOME 2.0 (*this*) and the stable
   branch for GNOME 1.x.

NEWS from gtranslator R 0.40 "DEIA" (2002-03-01):
------------------------------------------------

- Slightly enhanced HTMLizing functions; they are now working with the colors
   from the current colorscheme and are writing some more information to the
    HTML version of the po files.
- New "Yet enhanced fortune" colorscheme (a bit `different' I know...)
- New "build-gtranslator-learn-buffer.sh" script in the "data/scripts"
   subdirectory of the distro and in "${datadir}/gtranslator/scripts" which
    helps you to build up a learn buffer with gtranslator a bit easier then
     via manual ways.
- Colorschemes can now be directly changed from the "_Settings/_Colorschemes"
   submenu -- no more you have to go to the preferences dialog just for a
    simple colorscheme change.
- Enhanced popup menu with lookup & insertion techniques for the messages
   table (the translations are based on your learn buffer).
- Solved many bugs, e.g. the '·' problem; also added useful query message
   contents functionality into the query dialog.
- New "ToyFactory" colorscheme...
- Query functionality is now fully based on your learn buffer -- it's even
   working now and doesn't use the gettext querying functionality anymore.
- Further sane-ification of the source in some grades -- it's getting more &
   more voodoo-secure.
- Some important bugs have been solved, some usability issues were tracked
   (restructering of the Message status/Edit menu etc.)
- Another new colorscheme: "pdmc" (look into the about box what this means :-))
   (also very pleasent for the eyes).
- New "CurlyMonster" colorscheme (yes, you guessed right, also a Gtk+ theme
   adaptation colorscheme).
- New "ThinIce" colorscheme and updated "cleanup-gtranslator-settings.sh"
   script (it works now and asks the user if it should do what it'd did without
    asking the user in previous releases: Removing all personal gtranslator
     stuff, settings, files etc. :-)).
- Updated and up-to-date manual pages for gtranslator & pozilla.sh!
- Export of the learn buffer to a single po file is now possible and working!
- Charset definition fixes for the Turkish users -- also corrected UTF-8
   export (regarding the charset field of the resulting po file).
- Scrolled comment view to "enable" easier reading of long comments in the
   comment view.
- "No syntax" option, faster syntax highlighting and some menu/toolbar plays.
- Prefs cleanup, code cleanup, merged prefs and other nice merging situations
   have occured.
- Removal of the views sidebar and all related functionality.
- Usual load of bug/crash fixes.
- Translator's credits are now shown in the about dialog.
- RPM building bugfixes.

NEWS from gtranslator R 0.39.1 (2001-11-29):
-------------------------------------------

- Transition away from gnome-regex to use simpler, standard string functions.
- Spec file is now also included in the tarball -- mea maxima culpa, I didn't
   realise it should be in the tarball previously.
- Small bug fixes for some long-existing small crash reasons.
- Compile fixes for PPC, Alpha platforms (mostly unsignedness issues).
- pozilla.sh 5.1 arrived! Yes, it works again and is somehow more enhanced.
- Only save the learn buffer if it was changed at all -- saves a lot of time
   on normal action tours.
- More robust & secure learn buffer building (no encoding shuffles needed).
- Important messages table fixes for UTF-8, popup menu, navigation etc.
- Many new options to customize the learning/auto translation.
- Auto translation & learning options added to enable these actions on
   the cmdline.
- Auto learning of newly translated messages is suppressable now.

NEWS from gtranslator R 0.39 (2001-09-09):
-----------------------------------------

- New documentation by Emese Kovacs.
- Much more enhanced first time init routines.
- No "hardcore" GUI lockup on using the update function anymore.
- Private colorschemes can be now placed into ~/.gtranslator/colorschemes.
- Previous last translator keeps automatically written into the
   header comment -- should make po files more standardized .-)
- Some nice icons for query, auto accomplishment etc. -- taken from
   Evolution.
- Simple undo for insertion, deletion in the translation. 
- Messages tree with status grouping, resting messages display and
   colored display of untranslated/fuzzy entries.
- ETable/ETree based extra messages view -- very cute.
- Removed the nautilus view, updated requirements and made GConf
   mandatory.
- Complete learning is possible through the command line via the
   new "--learn"/"-l" options.
- Custom learning (a personal translation memory in the UMTF
   format) is now fully implemented.
- Extended colorschemes -- a "text_bg" field allows you to set
   the text background color.
- Compile result file can be kept if wished.
- pozilla.sh -- finer statistics, bash changes, more robustness,
   many new options, dry run modus, no personal mail modus etc.
- Usage of ~/.gtranslator to allow a more distinct and env-clean
   use of temporary files and other support files.
- Differently saving capability -- saving "directly" to a .po.gz or
   something similar is now easily possible.
- New fuzzy, untranslated icons from Ville.
- Customizable history list length -- per default set to 10 entries.
- Auto saving after a user-specified time-period -- with a special
   suffix if desired.
- UTF-8 editing, saving support.
- Backend core source ready, integration into the opening functions is on the
   way.
- About URI support .-)
- Opening of zip'ed files is now also supported.
- Added preliminary backends mechanism and docbook + text backend beginnings.
- Big source reorganization and moving to make further development easier.

NEWS from gtranslator R 0.37 (2001-04-06):
-----------------------------------------

- The long waited spec file for gtranslator has been added is now also
   distributed with gtranslator -- it seems to work.
- Fixed the long existing overwriting-a-selection bug.
- Integrated conditional Scrollkeeper integration.
- pozilla is now more intelligent and useful as it got now sendto/ignore
    options with which you can exclude langs from the update messages circle
     (e.g. "en_GB") and/or send the updated po files to the defined languages.
- Auto generation of the header if the po file is opened the first time; the
    values from the default header are substituted with the ones in the prefs
     or with useful lines.
- Replace dialog and code added -- and working.
- Highlighting of keywords (like "GNOME") and URL prefixes (like "http:").
- Obsolete entries are kept right now.
- Autoaccomplishment capability from the default query domain for the personal
    language added.
- Query dialog added to make it possible to also use already existing gettext
    domain translations.
- Syntax highlighting and foreground/background colors are now customizable
    through color schemes.
- Added the nautilus-gtranslator-view and all connected stuff to gtranslator.
- Opening of bzip2'ed and compress'ed po files is now also possible.
- Also recognize https URL's and "hidden" ftp URL's starting with "ftp.".

NEWS from gtranslator R 0.35 (2001-02-24):
-----------------------------------------

- Include pozilla from now on with the distpacks and install it
    as a script -- it got made many changes and is now really good.
- Added README.GConf with more information about building w/o
    GConf.
- Multiple search results in one message are now all shown.
- Header edit dialog displays the pure comment without any # or
    or other syntactical character.
- Moved over to sgml help, the help files are nautilus-aware.
- Search in comments and in English strings, translations
    is now also possible.
- Implemented very exuberant syntax highlighting.
- Added Html output function with syntax and informational html
    output of the parsed file -- quite interesting.
- Made gtranslator gal and gnome-vfs dependendant.
- Local URIs are now also handled.
- Moved all sources to src.
- Removed the supplement files for gnome-config & pkg-config.
- Removed gtranslator & libgtranslator concerning stuff.
- Ripped off any message db stuff -- removed all files/dirs
    related to this.
 
NEWS from gtranslator R 0.34 (2001-02-11):
-----------------------------------------

- The update function's base script does now automatically use
    the xml-i18n-update tool if found for the po update function.
- Implemented all preferences items in "real" application life.
- Header routines fixed -- no translated language name is written
    into the po file any longer.
- More enhanced open file dialog (it opens up in the same dir as
    in which the current/last po file is residenting).
- Some more error sources were corrected.
- "Advanced" history has been implemented.
- Opening of _all_ natively supported kinds of po files from
    remote http/ftp servers is now also supported if gtranslator
     is compiled with GnomeVFS support.
- If the original default values for a po file header are
    present in a po file, gtranslator pops up the edit header
    dialog at the startup.
- Moved from dot char to special char as you can now get
    your special char (previously dot char) also localized.
- Perform permission checks on the po files to avoid
    crashes because of wrong perms.
- Switch to xml-i18n-tools system.

NEWS from gtranslator R 0.32 (2001-01-13):
-----------------------------------------

- Many, many updated translations
- libgtranslator got VFS handling code
- Updated the mime files to also include capital letter
    suffixes (e.g. PO, GMO etc)
- Many memory leaks were detected and "eliminated"
- More stability, less crashes
- Opening of gzip'ed po files and compiled po files
    is now supported.
- Changed the notebook tabs in the preferences to go
    to the right.
- Added gtkspell sources for instant spell checking..
- New icons for gtranslator, po-files and gmo-files.
- Added pkg-config supplement file.
- Sticky is now implemented.
- Added the code of a more useful open file dialog
    with some vfs-background.
- You can now also get more warning flags through the new
   --enable-extreme-gcc-flags parameter of ./configure.
- A gnome-config 1.x config-file is also supplied now.
- Corrected some Makefile-whoosh-boosh.

NEWS from gtranslator R 0.30 (2000-10-20):
-----------------------------------------

- Better parsing routines (the buttons are grayed out
   at the right time now).
- An improved status information with the left fuzzy,
   untranslated messages.
- New Brazilian Portuguese translation.
- New British translation.
- New partial French translation.
- Font/color settings added to the preferences.
- libgtranslator extension to get/set colors from a
   GnomeColorPicker.
- Use the new font/colors probably set it in the options.
- Corrected some internal errors in the libgtranslator
   preferences engine.
- Split up the RPM packages more.
- Updated docs to be in sync with web page colors.

NEWS from gtranslator R 0.23 (aka. 0.22cvs-past) (2001-10-1x):
-------------------------------------------------------------

- New Finnish translation.
- The dot char feature works now; it's selectable in the preferences.
- An foolish update function has been added which does an update on
   the po-files if you've got the whole source of the program.
    (For now a script does this, possibly this should be done in
       a better way but now it works.)
- A recent files menu has been added; this does also need much more work
   to get useful.
- Added some new options to the preferences.
- The GConf trouble is over, you can now really compile (lib-)gtranslator
   with GConf-support for the preferences stuff without any problems
    (tested with GConf 0.10 and 0.9cvs).
- Corrected the RPM-specs :-)

NEWS from gtranslator R 0.21 (2000-09-15):
-----------------------------------------

- Made the first public release :-)
- Updated and corrected all plain documents.
- The gtranslator program itself works now.
- There's now also a Galician translation (thanks to Jesus Bravo Alvarez) and
   a Lithuanian translation (thanks to the well known "./src-guy" Gediminas
    Paulauskaus).
- Almost all translations have been updated.
- libgtranslator have been started to be written (huh ?!).

--
Fatih Demir, <kabalak@kabalak.net>
